import request from '@/utils/request'

// 查询休学申请记录列表
export function listRtStuQuitSchool(query) {
  return request({
    url: '/routine/rtStuQuitSchool/list',
    method: 'get',
    params: query,
  })
}

// 查询休学申请记录详细
export function getRtStuQuitSchool(quitSchoolId) {
  return request({
    url: '/routine/rtStuQuitSchool/' + quitSchoolId,
    method: 'get',
  })
}

// 获取学生基础信息
export function getMyStuInfo() {
  return request({
    url: '/routine/rtStuQuitSchool/getMyStuInfo',
    method: 'get',
  })
}

// 根据流程id查询数据
export function getRtStuQuitSchoolByProcInsId(procInsId) {
  return request({
    url: '/routine/rtStuQuitSchool/getRtStuQuitSchoolByProcInsId/' + procInsId,
    method: 'get',
  })
}

// 新增休学申请记录
export function addRtStuQuitSchool(data) {
  return request({
    url: '/routine/rtStuQuitSchool/add',
    method: 'post',
    data: data,
  })
}

// 修改休学申请记录
export function updateRtStuQuitSchool(data) {
  return request({
    url: '/routine/rtStuQuitSchool/update',
    method: 'post',
    data: data,
  })
}

// 保存休学申请记录
export function save(data) {
  return request({
    url: '/routine/rtStuQuitSchool/save',
    method: 'post',
    data: data,
  })
}

// 删除休学申请记录
export function delRtStuQuitSchool(quitSchoolId) {
  return request({
    url: '/routine/rtStuQuitSchool/' + quitSchoolId,
    method: 'post',
  })
}
